MLAPI API Reference

# NetworkedClient Class

[This is preliminary documentation and is subject to change.]

A NetworkedClient
Inheritance Hierarchy
System
Object
MLAPI.Data
NetworkedClient

Namespace: MLAPI.Data
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public class NetworkedClient

Request Example
View Source

The NetworkedClient type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| NetworkedClient | Initializes a new instance of the NetworkedClient class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | (Inherited from Object.)
| Finalize | (Inherited from Object.)
| GetHashCode | (Inherited from Object.)
| GetType | (Inherited from Object.)
| MemberwiseClone | (Inherited from Object.)
| ToString | (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| AesKey | The encryption key used for this client
| ClientId | The Id of the NetworkedClient
| OwnedObjects | The NetworkedObject's owned by this Client
| PlayerObject | The PlayerObject of the Client

Top
See Also

#### Reference

MLAPI.Data Namespace